Bug 183221 - kernel-xen-hypervisor hangs on x86_64
kernel-xen-hypervisor hangs on x86_64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Juan Quintela
Brian Brock
:
Depends On:
Blocks: 185595
  Show dependency treegraph
 
Reported: 2006-02-27 11:30 EST by Aleksander Adamowski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-29 23:44:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg file from the affected machine (12.39 KB, text/plain)
2006-02-27 11:32 EST, Aleksander Adamowski
no flags Details
dmesg from the ordinary SMP kernel (14.76 KB, text/plain)
2006-02-27 11:35 EST, Aleksander Adamowski
no flags Details

  None (edit)
Description Aleksander Adamowski 2006-02-27 11:30:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.7.12-1.5.2

Description of problem:
I'm trying to run the latest hypervisor kernel for x86_64, on a HP Proliant DL385 2 x Dual Core Opteron server.

The system boots up, but there are some suspicious warnings logged:

Feb 27 17:15:14 domzero2 kernel: Could not allocate 8 bytes percpu data

Then, the system runs for a couple minutes/hours, after which it hangs and stops reacting to any input. It doesn't react to CTRL-ALT-DELETE. There are no messages left in the logs (I'm logging everything to a separate syslog host). There's no extra output on the VGA console when the system hangs.

If you could give me a hint how to perform some more detailed debugging, I'll happily try it out. Currently, there are no 

I could also reproduce the problem with an earlier hypervisor kernel for x86_64, 2.6.15-1.1955_FC5hypervisor.



Version-Release number of selected component (if applicable):
kernel-xen-hypervisor-2.6.15-1.1977_FC5.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install kernel-xen-hypervisor-2.6.15-1.1977_FC5.x86_64.rpm
2. Change to this kernel in grub.conf
3. Reboot
4. Let the machine work for a couple minutes/hours.

  

Additional info:
Comment 1 Aleksander Adamowski 2006-02-27 11:32:05 EST
Created attachment 125324 [details]
dmesg file from the affected machine

The dmesg has been generated by the 2.6.15-1.1977_FC5hypervisor kernel.
Comment 2 Aleksander Adamowski 2006-02-27 11:35:39 EST
Created attachment 125325 [details]
dmesg from the ordinary SMP kernel

For coparison, I'm attaching a dmesg file that has been generated by ordinary
SMP kernel, 2.6.15-1.1955_FC5.
Comment 3 Aleksander Adamowski 2006-03-08 06:08:22 EST
There's another problem with the latest Xen kernel on x86_64
(2.6.15-1.2025_FC5xen0) - a kernel crash, I've opened bug 184378 covering it.
Comment 4 Aleksander Adamowski 2006-03-14 04:52:24 EST
It seems that the later kernels have this problem fixed. I'm currently running
2.6.15-1.2038_FC5xen0 and have accumulated 3 days uptime without a hang.

Comment 5 Brian Stein 2006-03-29 23:44:07 EST
Closing per comment above; Reopen if required.

Note You need to log in before you can comment on or make changes to this bug.